import request from "@/utils/request";

// 查询数据管理列表
export function listData(query) {
  return request({
    url: "/data/data/list",
    method: "get",
    params: query,
  });
}

// 查询数据管理详细
export function getData(id) {
  return request({
    url: "/data/data/" + id,
    method: "get",
  });
}

// 新增数据管理
export function addData(data) {
  return request({
    url: "/data/data",
    method: "post",
    data: data,
  });
}

// 修改数据管理
export function updateData(data) {
  return request({
    url: "/data/data",
    method: "put",
    data: data,
  });
}

// 删除数据管理
export function delData(id) {
  return request({
    url: "/data/data/" + id,
    method: "delete",
  });
}

// 数据管理getOptions
export function getDataOptions() {
  return request({
    url: "/data/data/getOptions",
    method: "get",
  });
}
